mayarin
POST
/v1/payment-links/{id}/checkout

Path Parameters

id*string

Header Parameters

Idempotency-Key*string

Stable unique key for this logical write. Keep it unchanged when retrying.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/payment-links/string/checkout" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "status": "string",  "merchant": {    "id": "string",    "name": "string",    "city": "string",    "countryCode": "string",    "categoryCode": "string"  },  "amount": {    "amount": "string",    "asset": "string",    "formatted": "string",    "display": "string"  },  "settlementAsset": "string",  "provider": "string",  "payment": {    "asset": "string",    "chain": "string",    "payerAddress": "string"  },  "executionPath": "string",  "source": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "merchantReference": "string",  "clearingTransactionId": "string",  "failureReason": "string",  "createdAt": "string",  "updatedAt": "string",  "expiresAt": "string",  "confirmedAt": "string",  "completedAt": "string"}